#
#	Copyright (C) 2007. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

#############################
#
#	File sift.pro
#

include(../../qvproject.pri)
TARGET = siftextractor

# Needed for pkg-config usage at PKGCONFIG var
CONFIG += link_pkgconfig

# For OpenCV and GSL
LIBS += $$system(pkg-config --libs opencv) $$system(pkg-config --cflags opencv)
PKGCONFIG += opencv # this is equiv. to include argument `pkg-config --cflags opencv` at compiler

# For GSL
PKGCONFIG += gsl

# For Sift
INCLUDEPATH += ./sift/include
SOURCEPATH += ./sift/src

# Input
HEADERS += siftextractor.h
SOURCES += main.cpp siftextractor.cpp					\
	./sift/src/imgfeatures.cpp ./sift/src/kdtree.cpp		\
	./sift/src/minpq.cpp ./sift/src/sift.cpp			\
	./sift/src/xform.cpp ./sift/src/utils.cpp

